\exo{}
Soit $f$ une application de classe $\mathcal{C}^3$ sur $[a,b]$, et $n \in \N$. On pose $M_3 = \sup_{[a,b]} \left| f^{(3)}\right|$. On pose $S_n(f) = \frac{b-a}{n}\sum_{k=0}^{n-1}{f\left( \frac{k}{n}\right) }$, et de même $S_n(f')$ et $S_n(f'')$, et $x_k = a + \frac{k(b-a)}{n}$.
\q Montrer que 
\begin{equation*}
  \left| \int_a^b f(x) \mathrm{d}x - S_n(f) - \frac{b-a}{2n} S_n(f') - \frac{(b-a)^2}{6n^2}S_n(f'')\right| \leq \frac{(b-a)^4}{24n^3}M_3
\end{equation*}
\q Prouver que 
\begin{equation*}
  \int_a^b{f(x) \mathrm{d}x} = S_n(f) + \frac{b-a}{2n} (f(b) - f(a)) - \frac{(b-a)^2}{12n^2}(f'(b) - f'(a)) + \mathcal{O}\left( \frac{1}{n^3} \right) 
\end{equation*}





\ifwithcorrection \correction 


\fi
